## org.eclipse.amp.axf.ide
Interface IModelWorkbenchListener

All Known Implementing Classes:
  AbstractModelWorkbenchListener, CloseHandler, ModelRunHandler, PauseHandler, RestartHandler, ResumeHandler, ScaleGranularityControl, StartHandler, StepHandler, StopHandler

    public interface IModelWorkbenchListener

The listener interface for receiving IModelManager events. The class that is interested in processing a IModelManager event implements this interface, and the object created with that class is registered with a component using the component's `addIModelManagerListener`method. When the IModelManager event occurs, that object's appropriate method is invoked.``

See Also:
  `IModelManagerEvent`

Method Summary
`void` `modelActivated(IModel model)` Notifies the listener that the given model has been activated, that is in foreground and controllable.
`void` `modelAdded(IModel model)` Model added.
`void` `modelRemoved(IModel model)` Model removed.
`void` `viewActivated(org.eclipse.ui.IWorkbenchPart part)` View activated.
`void` `viewAdded(org.eclipse.ui.IWorkbenchPart part)` View added.
`void` `viewRemoved(org.eclipse.ui.IWorkbenchPart part)` View removed.

Method Detail

### modelAdded

    void modelAdded(IModel model)

  Model added.

  Parameters:
    `model` - the model

### modelRemoved

    void modelRemoved(IModel model)

  Model removed.

  Parameters:
    `model` - the model

### modelActivated

    void modelActivated(IModel model)

  Notifies the listener that the given model has been activated, that is in foreground and controllable. The model is not necessarily focused, nor even visible. Models can be executing but not activated. Note that this assumes that any already activated model is now deactivated, and it the listener's responsibility to keep a reference to that prior model as appropriate. Only one model may be active at any one time.

  Parameters:
    `model` - The model that is currently activated, or null if no models are now active. This usually indicates that no models exist.

### viewAdded

    void viewAdded(org.eclipse.ui.IWorkbenchPart part)

  View added.

  Parameters:
    `part` - the part

### viewRemoved

    void viewRemoved(org.eclipse.ui.IWorkbenchPart part)

  View removed.

  Parameters:
    `part` - the part

### viewActivated

    void viewActivated(org.eclipse.ui.IWorkbenchPart part)

  View activated.

  Parameters:
    `part` - the part